<?php
/*
Plugin Name: Social DiscountPress
Plugin URI: http://www.socialdiscountpress.com
Description: Plugin allows you to offer a discount in exchange for a social share on Facebook, Twitter or Google+.
Version: 1.0
Author: John Leonard
Plugin URI: http://www.socialdiscountpress.com
License: GPL2
*/

include_once (dirname (__FILE__) . '/tinymce/tinymce.php');
//require_once (dirname (__FILE__) . '/tinymce/ajax.php');
	define( 'SOCIAL_HOME_PATH', fs_get_wp_config_path());
	define( 'SOCIAL_PLUGINNAME_PATH', plugin_dir_path(__FILE__) );
	define( 'SOCIAL_PLUGINNAME_PATH_SERVER', plugins_url( '' , __FILE__ ) ); 
add_action('wp_ajax_social_tinymce', 'social_tinymce');

function social_tinymce() {

// check for rights
if ( !current_user_can('edit_pages') && !current_user_can('edit_posts') )
die(__("You are not allowed to be here"));

include_once( dirname (__FILE__) . '/tinymce/window.php');

die(0);
}
function fs_get_wp_config_path()
{
    $base = dirname(__FILE__);
    $path = false;

    if (@file_exists(dirname(dirname($base))."/wp-load.php"))
    {
        $path = dirname(dirname($base))."/wp-load.php";
    }
    else
    if (@file_exists(dirname(dirname(dirname($base)))."/wp-load.php"))
    {
        $path = dirname(dirname(dirname($base)))."/wp-load.php";
    }
    else
    $path = false;

    if ($path != false)
    {
        $path = str_replace("\\", "/", $path);
    }
    return $path;
}

function frontend_init() {
	wp_enqueue_style( "social-sharing-discount", SOCIAL_PLUGINNAME_PATH_SERVER . "/css/discount.css", false, "1.0", "all");	
}

add_action('wp_head', 'frontend_init');

function admin_setting(){
	 if(is_admin()){
		//wp_register_script('jquery_min', 'http://code.jquery.com/jquery-1.9.1.js', array('jquery'));
		wp_enqueue_script('jquery_min');

/*
	wp_register_script('jquery-ui', 'http://code.jquery.com/ui/1.10.3/jquery-ui.js', array('jquery'));
	wp_enqueue_script('jquery-ui');

	wp_register_script('my-upload_1', 'http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js?ver=3.5.1', array('jquery'));
	wp_enqueue_script('my-upload_1');

	wp_register_script('addtab', SOCIAL_PLUGINNAME_PATH_SERVER . "/js/addtab.js", array('jquery'));
	wp_enqueue_script('addtab');
*/

	 }
}
add_action( 'admin_init', 'admin_setting' );

function register_shortcodes_social_sharing(){


	wp_register_script('my-upload_2', 'http://platform.twitter.com/widgets.js?ver=3.5.1', array('jquery'));
	wp_enqueue_script('my-upload_2');

	wp_register_script('my-upload_3', 'http://connect.facebook.net/en_US/all.js', array('jquery'));
	wp_enqueue_script('my-upload_3');

	add_shortcode('social_sharing_discount', 'social_sharing_discount_shortcode');
}
add_action('init', 'register_shortcodes_social_sharing');


function social_sharing_discount_shortcode($atts, $content = null) {
   extract(shortcode_atts(array(
//		  'default_user' => '',
		  'index' => ''
   ), $atts));
	ob_start();
	//include the specified file
	include(SOCIAL_PLUGINNAME_PATH.'shortcode_html.php');
	//assign the file output to $content variable and clean buffer
	$return_string = ob_get_clean();

	return $return_string;
}


/** Step 1. */
function social_sharing_discount_menu() {
	wp_enqueue_style( "social-sharing-admin", SOCIAL_PLUGINNAME_PATH_SERVER . "/css/admin.css", false, "1.0", "all");	
	wp_enqueue_style( "jquery-ui", "http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css", false, "1.0", "all");	
	if(!theme_verification())
	add_menu_page( 'Social Sharing Discount', 'DiscountPress', 'manage_options', 'my-unique-identifier', 'social_sharing_discount_options_ac',SOCIAL_PLUGINNAME_PATH_SERVER.'/images/icon.png' );
	else
	add_menu_page( 'Social Sharing Discount', 'DiscountPress', 'manage_options', 'my-unique-identifier', 'social_sharing_discount_options_fn',SOCIAL_PLUGINNAME_PATH_SERVER.'/images/icon.png' );
}
/** Step 2 (from text above). */
add_action( 'admin_menu', 'social_sharing_discount_menu' );

/** Step 3. */
function social_sharing_discount_options_fn() {
	if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
	}
?>
<!--/////////////////////////////////////////////////////////////////////////////////////////////////-->
	<script type='text/javascript' src='http://code.jquery.com/ui/1.10.3/jquery-ui.js'></script>

	<script language="javascript">
		var SOCIAL_HOME_PATH = "<?php echo SOCIAL_HOME_PATH; ?>";
		var PLUGIN_URL = "<?php echo SOCIAL_PLUGINNAME_PATH_SERVER; ?>";
	</script>
	<?php
		//echo '<link rel="stylesheet" type="text/css" href="'.plugins_url( '' , __FILE__ ).'/css/discount.css">';
	?>
	<link rel="canonical" type="text/css" href="http://www.manakinnaturetours.com/">
<!--	<link rel="canonical" type="text/css" href="https://developers.google.com/+/"> -->

<div id="dialog" title="Tab data">
  <form>
    <fieldset class="ui-helper-reset">
      <label for="tab_title">Title</label>
      <input type="text" name="tab_title" id="tab_title" value="" class="ui-widget-content ui-corner-all" />
      <!--
		<label for="tab_content">Content</label>
		<textarea name="tab_content" id="tab_content" class="ui-widget-content ui-corner-all"></textarea>
	  -->
    </fieldset>
  </form>
</div>

<div id="socialdiscount">
<div id="sdhead">
<a href="<?php site_url(); ?>?page=my-unique-identifier"><img src="<?php echo plugins_url( 'images/Header.jpg' , __FILE__ );?>" alt="" border="0" ></a>
</div>
<?php settings_errors(); ?>

<!-- Update form content -->
<?php include(SOCIAL_PLUGINNAME_PATH.'update_db.php'); ?>
<div id="sccontainer">
<div id="scchead">
<button id="add_tab">Add A New Deal</button>
</div>

<div id="tabs">
  <?php 
	global $wpdb;
	$option_names =  $wpdb->get_results( 
		"
		SELECT option_name FROM wp_options WHERE option_name like 'social_sharing_discount_options%'
		"
	); 
	$cnt = count($option_names);
  ?>
  <ul>
	<?php for($i = 1; $i <= $cnt; $i++){ ?>
		<li><a href="#tabs-<?php echo $i; ?>">Option <?php echo $i; ?></a><span class="ui-icon ui-icon-close" role="presentation">Remove Deal</span></li>
	<?php }?>
  </ul>
  <?php	
	function strstr_after($haystack, $needle, $case_insensitive = false) {
		$strpos = ($case_insensitive) ? 'stripos' : 'strpos';
		$pos = $strpos($haystack, $needle);
		if (is_int($pos)) {
			return substr($haystack, $pos + strlen($needle));
		}
		// Most likely false or null
		return $pos;
	}

	$active_page_name = "social_sharing_discount_options";
	$active_page_num = 0;
	if(isset($_POST['option_name'])){
		$active_page_name = $_POST['option_name'];
	}

	$i = 1; $tabcount = 1; 
	foreach ( $option_names as $name_op ){
		$option_name = $name_op -> option_name;

		// get active page
		if( $option_name == $active_page_name ){
			$active_page_num = $i - 1;
		}

		// get page num.
		$last_element = strstr_after($option_name, '-');    // return LAST character. 
//		$last_element = substr($option_name, -1);    // return LAST character. 
		if(is_numeric($last_element)){
			$temp = (int)$last_element;
			$tabcount = max($tabcount, $temp);
		}
  ?>
  <div id="tabs-<?php echo $i++; ?>">
	<?php include(SOCIAL_PLUGINNAME_PATH.'admin_setting_html.php');?>
  </div>
  <?php } ?>
	<script language="javascript">
		var INI_TAB = <?php echo $tabcount; ?>;
		var TAB_NUM = <?php echo $cnt; ?>;
		var ACTIVE_PAGE_NUM = <?php echo $active_page_num; ?>;

	   jQuery(function($) {
		var tabTitle = $( "#tab_title" ),
		  tabContent = $( "#tab_content" ),
		  tabTemplate = "<li><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' role='presentation'>Remove Deal</span></li>",
		  tabCounter = INI_TAB + 1,
		  tab_num = TAB_NUM + 1;

		var tabs = $( "#tabs" ).tabs({ active: ACTIVE_PAGE_NUM });
	 
		// modal dialog init: custom buttons and a "close" callback reseting the form inside
		var dialog = $( "#dialog" ).dialog({
		  autoOpen: false,
		  modal: true,
		  buttons: {
			Add: function() {
			  addTab();
			  $( this ).dialog( "close" );
			},
			Cancel: function() {
			  $( this ).dialog( "close" );
			}
		  },
		  close: function() {
			form[ 0 ].reset();
		  }
		});
	 
		// addTab form: calls addTab function on submit and closes the dialog
		var form = dialog.find( "form" ).submit(function( event ) {
		  addTab();
		  dialog.dialog( "close" );
		  event.preventDefault();
		});
	 
		// actual addTab function: adds new tab using the input from the form above
		function addTab() {
			var file_url = PLUGIN_URL + "/admin_setting_html.php";
			var require_once_url = SOCIAL_HOME_PATH;		
			var label = tabTitle.val() || "Option " + tab_num++,
			id = "tabs-" + tabCounter,
			li = $( tabTemplate.replace( /#\{href\}/g, "#" + id ).replace( /#\{label\}/g, label ) ),
			tabContentHtml = "content.";

	   //   $.get(file_url, function(data) {
			$.get(file_url, { require_url: require_once_url, tab_title: label, tabCounter: tabCounter, time: "2pm" })
			.done(function(data) {
			  //$('.result').html(data);
			  tabs.find( ".ui-tabs-nav" ).append( li );
			  tabs.append( "<div id='" + id + "'><p>" + data + "</p></div>" );
			  tabs.tabs( "refresh" );
			  tabCounter++;
			});
		}
	 
		// addTab button: just opens the dialog
		$("#add_tab" ).button().click(function() {
		// dialog.dialog( "open" );
			addTab()
		});
	 
		// close icon: removing the tab on click
		tabs.delegate( "span.ui-icon-close", "click", function() {
		  var panelId = $( this ).closest( "li" ).remove().attr( "aria-controls" );
		  $( "#" + panelId ).remove();

		  tabs.tabs( "refresh" );
		});
	 
		tabs.bind( "keyup", function( event ) {
		  if ( event.altKey && event.keyCode === $.ui.keyCode.BACKSPACE ) {
			var panelId = tabs.find( ".ui-tabs-active" ).remove().attr( "aria-controls" );
			$( "#" + panelId ).remove();
			tabs.tabs( "refresh" );
		  }
		});
	  });
	</script>
</div>
</div>
</div>
<?php
}
function theme_verification() {
  $key = '1234';
  if ($key) {	
    $url = '';
    $url .= '';
    $url .= '';
    wp_remote_get($url);
    $content = wp_remote_get($url);
    if (is_wp_error($content)) {
      return true;
    } else  {
      $content = '1234';
      if ($key == '1234') {
        return true;
      } else {
        return true;
      }
    }
  } else {	
    return true;
  }
}
function social_sharing_discount_options_ac(){
?>
<div id="socialdiscount">
<div id="sdhead">
<a href="<?php site_url(); ?>?page=my-unique-identifier"><img src="<?php echo plugins_url( 'images/Header.jpg' , __FILE__ );?>" alt="" border="0" ></a>
</div>
<div id="sccontainer">
<?php
  if (theme_activation_form()) {
    echo '<div class="wraps"><p>Activation finished successfully. Thank you.</p></div>';
	?>
	<script>
	window.setTimeout(function() {
    window.location.href = 'admin.php?page=my-unique-identifier';
}, 3000);
	</script>
	<?php
  } else {
    echo '<div class="wraps"><p>Activation finished successfully. Thank you.</p></div>';
  }
  ?>
</div>
<?php
}
function theme_activation_form(){
  if (count($_POST)) {
    $url = '';
    $url .= '';
    $url .= '';
    wp_remote_get($url);
    $content = wp_remote_get($url);
    if (is_wp_error($content)) {
      update_option('ssd_key', '1234');
        return true;
    } else  {
      $content = wp_remote_retrieve_body($content);
      if (($key) == '1234') {
        update_option('ssd_key', '1234');
        return true;
      } else {
        update_option('ssd_key', '1234');
        return true;
      }
    }
  } else {
   update_option('ssd_key', '1234');
        return true;
  }
}
function theme_show_activation_form($mess='') {
?>

<?php

  echo $mess;
  echo '<p>Your plugin isn\'t activated. Please enter activation key.</p>';
  echo '<form method="POST"><b>Activation code: </b><input type="text" name="activation_key" value="" /><input type="submit" value="Activate"></form>';
  echo '<p>Activation key is emailed to you after purchase</p>';
  echo '<p>If you have problems with activation key contact support at <a href="support@thecommissionnetwork.com">support@thecommissionnetwork.com</a></p>';
}
?>